# WEB+DB PRESS Vol.103 連載「Perl Hackers Hub」サンプルコード

技術評論社刊「WEB+DB PRESS Vol.103」の連載「Perl Hackers Hub」第49回「CPAN モジュールの品質を支える CI 技術」（水音ぴね著）のサンプルコードです。

サンプルコードは以下の環境で動作確認をしています。

- macOS Sierra (10.12.6)
- Perl 5.26.1

## Coverage-Example
本文中でカバレッジ測定に用いたコードです。以下のコマンドで実行できます。

```
$ cpanm --quiet --notest Devel::Cover
$ HARNESS_PERL_SWITCHES="-MDevel::Cover=+ignore,^t" prove -lvr t
$ cover -report html
```

実行後は `cover_db/coverage.html` をブラウザで開いてください。

## TravisCI-Test
Travis CI でのテストの実行テストに用いたコードです。
Travis CI と連携した後、コミットすることにより Travis CI 上で実行されます。